import { Component, Prop, State, h } from '@stencil/core';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

@Component({
	tag: 'digi-icon-pod',
	styleUrls: ['icon-pod.scss'],
	scoped: true
})
export class IconPod {
	/**
	 * Lägger till ett titleelement i svg:n
	 * @en Adds a title element inside the svg
	 */
	@Prop() afTitle: string;

	/**
	 * Lägger till ett descelement i svg:n
	 * @en Adds a desc element inside the svg
	 */
	@Prop() afDesc: string;

	/**
	 * För att dölja ikonen för skärmläsare. Default är satt till true.
	 * @en Hides the icon for screen readers. Default is set to true.
	 */
	@Prop() afSvgAriaHidden: boolean = true;

	

	/**
* Referera till andra element på sidan för att definiera ett tillgängligt namn.
* @en Reference other elements on the page to define an accessible name.
*/
@Prop() afSvgAriaLabelledby: string;

@State() titleId: string = randomIdGenerator('icontitle');

	render() {
		return (
			<svg
				class="digi-icon-pod"
				width="62px" height="63px" viewBox="0 0 62 63"
				aria-hidden={this.afSvgAriaHidden ? 'true' : 'false'}
				aria-labelledby={this.afSvgAriaLabelledby ? this.afSvgAriaLabelledby : this.afTitle ? this.titleId : undefined}
				xmlns="http://www.w3.org/2000/svg"
				fill="currentColor"
			>
				{this.afTitle && <title id={this.titleId}>{this.afTitle}</title>}
				{this.afDesc && <desc>{this.afDesc}</desc>}
        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
    <g transform="translate(-124, -890)" fill="currentColor">
      <g transform="translate(140.7917, 890)">
        <path d="M14.2851687,44.5890982 L14.2851687,44.5890982 C10.4642762,44.5890982 7.337991,41.462813 7.337991,37.6419205 L7.337991,26.1935988 C7.337991,22.3727062 10.4642762,19.246421 14.2851687,19.246421 L14.2851687,19.246421 C18.1060613,19.246421 21.2323465,22.3727062 21.2323465,26.1935988 L21.2323465,37.6419205 C21.2323465,41.462813 18.1060613,44.5890982 14.2851687,44.5890982"/>
        <path d="M14.2852792,53.354292 C6.40827729,53.354292 0,46.9460147 0,39.0690128 L0,34.9720442 C0,33.7528923 0.988352262,32.7634358 2.20860841,32.7634358 C3.42776025,32.7634358 4.41721681,33.7528923 4.41721681,34.9720442 L4.41721681,39.0690128 C4.41721681,44.5099196 8.84437237,48.9370751 14.2852792,48.9370751 C19.726186,48.9370751 24.1533415,44.5099196 24.1533415,39.0690128 L24.1533415,34.9720442 C24.1533415,33.7528923 25.1427981,32.7634358 26.36195,32.7634358 C27.5822061,32.7634358 28.5705584,33.7528923 28.5705584,34.9720442 L28.5705584,39.0690128 C28.5705584,46.9460147 22.1622811,53.354292 14.2852792,53.354292"/>
        <path d="M14.2852792,61.0154024 C13.0661273,61.0154024 12.0766708,60.0259458 12.0766708,58.806794 L12.0766708,51.1451314 C12.0766708,49.9259796 13.0661273,48.936523 14.2852792,48.936523 C15.504431,48.936523 16.4938876,49.9259796 16.4938876,51.1451314 L16.4938876,58.806794 C16.4938876,60.0259458 15.504431,61.0154024 14.2852792,61.0154024" />
        <path d="M21.4881033,16.9698979 C20.9226996,16.9698979 20.3584001,16.7545586 19.9266172,16.32388 C16.8157923,13.2119507 11.7547661,13.213055 8.64394115,16.3227757 C7.78258388,17.1852372 6.38232615,17.1852372 5.52096887,16.3227757 C4.65850728,15.4603141 4.65850728,14.0622649 5.52096887,13.1998034 C10.3534041,8.36736817 18.2171543,8.36736817 23.0495895,13.1986991 C23.9120511,14.0622649 23.9120511,15.4603141 23.0506938,16.3227757 C22.6189109,16.7545586 22.0535071,16.9698979 21.4881033,16.9698979" />
        <path d="M25.9835049,9.25379315 C25.4181011,9.25379315 24.8526974,9.03845383 24.4220188,8.60667089 C18.8320309,3.01778731 9.73808576,3.01778731 4.14920218,8.60667089 C3.2867406,9.46913247 1.88758718,9.46913247 1.02512559,8.60667089 C0.162664009,7.7442093 0.162664009,6.34616018 1.02512559,5.4836986 C8.33782803,-1.82789953 20.2333929,-1.82789953 27.544991,5.4836986 C28.4074526,6.34616018 28.4074526,7.7442093 27.544991,8.60667089 C27.1143124,9.03845383 26.5489087,9.25379315 25.9835049,9.25379315"/>
        <path d="M22.8108389,62 L5.76038202,62 C4.54012587,62 3.55177361,61.0105434 3.55177361,59.7913916 C3.55177361,58.5722398 4.54012587,57.5827832 5.76038202,57.5827832 L22.8108389,57.5827832 C24.0299908,57.5827832 25.0194473,58.5722398 25.0194473,59.7913916 C25.0194473,61.0105434 24.0299908,62 22.8108389,62" />
      </g>
    </g>
  </g>
			</svg>
		);
	}
}
